#!/usr/bin/perl

use strict;
use warnings;
use Parse::RecDescent;

# Record:
# three strings, a CSV, and two numbers

my $grammar = q{
  fstab: Line(s) /\Z/
  Line: Comment
  Comment: /^#.*?\n/
};

my $parser = Parse::RecDescent->new($grammar);

my $fstab = q{# Foo
# Bar
};

my $success = $parser->fstab($fstab);
print "Foo!\n" if defined $success;



